Blame SOURCES/valgrind-3.15.0-exp-sgcheck-no-aarch64.patch

058efa
commit 59784c512ec40e588b21cf5ae8e31e9c4f99d6b8
058efa
Author: Mark Wielaard <mark@klomp.org>
058efa
Date:   Sat May 18 14:55:50 2019 +0200
058efa
058efa
    aarch64 (arm64) isn't a supported architecture for exp-sgcheck.
058efa
    
058efa
    exp-sgcheck/pc_main.c contains:
058efa
    
058efa
       #if defined(VGA_arm) || defined(VGA_arm64)
058efa
          VG_(printf)("SGCheck doesn't work on ARM yet, sorry.\n");
058efa
          VG_(exit)(1);
058efa
       #endif
058efa
    
058efa
    But exp-sgcheck/tests/is_arch_supported checked against uname -m
058efa
    which returns aarch64 (not arm64). Fix the test check so the
058efa
    exp-sgcheck tests are skipped instead of producing failures.
058efa
058efa
diff --git a/exp-sgcheck/tests/is_arch_supported b/exp-sgcheck/tests/is_arch_supported
058efa
index 818cc61..d4c6191 100755
058efa
--- a/exp-sgcheck/tests/is_arch_supported
058efa
+++ b/exp-sgcheck/tests/is_arch_supported
058efa
@@ -10,6 +10,6 @@
058efa
 # architectures.
058efa
 
058efa
 case `uname -m` in
058efa
-  ppc*|arm*|s390x|mips*) exit 1;;
058efa
+  ppc*|aarch64|arm*|s390x|mips*) exit 1;;
058efa
   *)         exit 0;;
058efa
 esac